Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class Owner

`java.lang.Object
oracle.jbo.common.Owner`

public final class Owner
extends java.lang.Object

This is a simple example of a java type-safe constant.

Notice that the constructor is private, so the only instances of this object that can ever exist are those created in the static initializer.

Hence we have a controlled list of values, marshalled by this class.

Since:
  3.1

Field Summary
`static Owner` | `CONFIGURATION`
`static Owner` | `DIAGNOSTIC`
`int` | `id`
`static Owner` | `MOM`
`java.lang.String` | `pAbbreviation`
`java.lang.String` | `pName`
`static Owner` | `ROOTAM`
`static Owner` | `SESSION`

Method Summary
`boolean` | `equals(Owner x)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public int id

### pName

    public java.lang.String pName

### pAbbreviation

    public java.lang.String pAbbreviation

### MOM

    public static final Owner MOM

### SESSION

    public static final Owner SESSION

### DIAGNOSTIC

    public static final Owner DIAGNOSTIC

### ROOTAM

    public static final Owner ROOTAM

### CONFIGURATION

    public static final Owner CONFIGURATION

Method Detail

### toString

    public java.lang.String toString()

### equals

    public boolean equals(Owner x)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.